<?php

namespace Raptus\WC\BexioConnector;

defined('ABSPATH') or die;

/**
 * Class to initialize compatibility for active plugins.
 */
class Compatibility {

    /**
     * Load compatibility layer.
     */
    public static function load() {
        foreach (self::plugins() as $plugin => $data) {
            if (is_plugin_active($plugin)) {
                $parts = explode('/', $plugin);
                $filename = CLASSES_DIR . 'compatibility/class.' . array_shift($parts) . '.php';
                if (file_exists($filename)) {
                    require_once($filename);
                }
            }
        }
    }

    /**
     * Get a list all active plugins.
     *
     * @return array The active plugins.
     */
    protected static function plugins() {
        if (!function_exists('get_plugins')) {
            $file = ABSPATH . 'wp-admin/includes/plugin.php';
            if (!file_exists($file)) {
                return [];
            }
            require_once $file;
        }
        return get_plugins();
    }

    /**
     * Pivate constructor to avoid instances of this factory class.
     */
    private function __construct() {}
}
