<?php

// Namespace declaration
namespace Raptus\WC\BexioConnector;

// Exit if accessed directly
defined('ABSPATH') or die();

/**
 * Interface for activatable classes.
 */
interface Activatable {

    /**
     * Perform the activation.
     *
     * @return boolean `true` if the activation has been successful, `false` otherwise.
     */
    public function activate();

    /**
     * Perform the deactivation.
     *
     * @return boolean `true` if the deactivation has been successful, `false` otherwise.
     */
    public function deactivate();

    /**
     * Test if this instance is active.
     *
     * @return boolean `true` if the instance is active, `false` otherwise.
     */
    public function active();
}