<?php

namespace Raptus\WC\BexioConnector;

// Exit if accessed directly
defined('ABSPATH') or die();

/**
 * This file provides all configuration variables.
 */
define(__NAMESPACE__ . '\PLUGIN_URL', plugin_dir_url(__FILE__));
define(__NAMESPACE__ . '\PLUGIN_DIR', plugin_dir_path(__FILE__));
define(__NAMESPACE__ . '\PLUGIN_SLUG', basename(PLUGIN_DIR));
define(__NAMESPACE__ . '\PLUGIN_FILE', PLUGIN_SLUG . '/' . PLUGIN_SLUG . '.php');
define(__NAMESPACE__ . '\LIBRARIES_DIR', PLUGIN_DIR . 'libraries/');
define(__NAMESPACE__ . '\CLASSES_DIR', PLUGIN_DIR . 'classes/');
define(__NAMESPACE__ . '\TEMPLATES_DIR', PLUGIN_DIR . 'templates/');
define(__NAMESPACE__ . '\ASSETS_URL', PLUGIN_URL . 'assets/');
define(__NAMESPACE__ . '\BEXIO_BASE_URL', 'https://office.bexio.com/index.php/');
define(__NAMESPACE__ . '\BEXIO_SHOP_URL', 'https://bexio-shop.ch');
define(__NAMESPACE__ . '\BEXIO_SHOP_EMAIL', 'support@bexio-shop.ch');
define(__NAMESPACE__ . '\SUPPORT_URL', BEXIO_SHOP_URL . '/support');
define(__NAMESPACE__ . '\FAQ_URL', 'https://helpcenter.bexio-shop.ch/hc/de/sections/9576363732369');
define(__NAMESPACE__ . '\FAQ_TROUBLESHOOTING_URL', 'https://helpcenter.bexio-shop.ch/hc/de/articles/9607181111569');
if (!defined(__NAMESPACE__ . '\PUBLIC_NOTIFICATION_URL')) define(__NAMESPACE__ . '\PUBLIC_NOTIFICATION_URL', 'https://storage.googleapis.com/wcba-notifications/notification-'); // suffix for language will be appended

$plugin_data = array('Version' => 'unknown');
if (function_exists('get_file_data')) {
    $plugin_data = get_file_data(PLUGIN_DIR . PLUGIN_SLUG . '.php', array('Version' => 'Version'));
}
define(__NAMESPACE__ . '\PLUGIN_VERSION', $plugin_data['Version']);
unset($plugin_data);

// allow connection with API if WP_HTTP_BLOCK_EXTERNAL is set to true in wp-config.php
if (!defined('WP_ACCESSIBLE_HOSTS'))
    define('WP_ACCESSIBLE_HOSTS', 'beta-api.bexio-shop.ch,api.bexio-shop.ch,api2.bexio-shop.ch');

?>