    <?php
    $cause = \Raptus\WC\BexioConnector\Options::get('isblocked');
    ?>
    <h2>
        <?php
        if (isset($status) && isset($status['is_expired']) && $status['is_expired'] && isset($cause) && $cause == 'subscription_expired') {
            if ($status['type'] == 'trial') {
                esc_html_e('Your trial period has expired', 'raptus-wc-bexio-connector');
            } else {
                esc_html_e('Your subscription has expired', 'raptus-wc-bexio-connector');
            }
        } else if (isset($cause) && $cause == "end_of_life") {
            esc_html_e('You are using an outdated plugin version', 'raptus-wc-bexio-connector');
        } else {
            esc_html_e('Your account is blocked', 'raptus-wc-bexio-connector');
        }
        ?>
    </h2>
    <?php if (isset($cause) && $cause == "invalid_salt") : ?>
        <p><?php
        $email = \Raptus\WC\BexioConnector\Options::get('email');
        printf(__('The verification key of your connection diverges from the one of your account. If you have changed the account information in your settings, please check the email configured in your account (%s) for a link to confirm those changes. Once you have confirmed the changes, you can refresh the settings. Be aware: it might take up to 15 minutes for the cache to expire and the status of your account to get requested anew and any changes to become effective in the plugin. You can speed this along by manually clearing the file cache (see in the <a href="%s">FAQ</a>).', 'raptus-wc-bexio-connector'), $email, 'https://helpcenter.bexio-shop.ch/hc/de/articles/15051063918481#manual-refresh');
        ?></p>
        <a class="button-primary" href="<?php echo $settings_url ?>&resend_verification=1">
            <?php esc_html_e('Resend Verification Email', 'raptus-wc-bexio-connector') ?>
        </a>
    <?php elseif (isset($cause) && $cause == "end_of_life") : ?>
        <p><?php
        printf(_x('The plugin version you are using is outdated and using an API version that is no longer supported / available. You must update the plugin to the <a href="%s">newest version</a> to restore functionality of the synchronization.<br><br>Please note: resetting the plugin data WILL NOT resolve this problem - you must update the plugin itself.', 'Blocked message when using an old plugin version that uses a no longer available API version', 'raptus-wc-bexio-connector'), 'https://api2.bexio-shop.ch/api/plugin/latest/download');
        ?></p>
    <?php elseif (isset($status) && !empty($status)) : ?>
        <?php include 'status.php'; ?>

        <?php if (isset($status['is_expired']) && $status['is_expired'] && isset($cause) && $cause == 'subscription_expired') : ?>
            <?php if ($status['type'] == 'trial') { ?>
            <p><?php printf(__('Your trial period has expired, please <a href="%s">upgrade your subscription</a> if you\'d like to continue using this plugin.', 'raptus-wc-bexio-connector'), $settings_url . '&manage-account=1'); ?></p>
            <?php } else { ?>
            <p><?php printf(__('Your subscription has expired, please <a href="%s">upgrade your subscription</a> if you\'d like to continue using this plugin.', 'raptus-wc-bexio-connector'), $settings_url . '&manage-account=1'); ?></p>
            <?php } ?>
        <?php elseif ($status['status'] == 'blocked') : ?>
            <p><?php printf(__('Your account has been blocked, please <a href="%s">contact us</a> to identify the problem or press the refresh button to check again.', 'raptus-wc-bexio-connector'), \Raptus\WC\BexioConnector\SUPPORT_URL); ?></p>
        <?php elseif ($status['status'] == 'cancelled' && isset($status['is_expired']) && $status['is_expired']) : ?>
            <p><?php printf(__('Your subscription has been cancelled and is expired. If you wish to continue using this plugin, you must <a href="%s">renew your subscription</a>.', 'raptus-wc-bexio-connector'), \Raptus\WC\BexioConnector\SUPPORT_URL); ?></p>
        <?php else : ?>
            <p><?php printf(__('Your account has been blocked, please <a href="%s">contact us</a> to identify the problem or reset your data and try to start over again.', 'raptus-wc-bexio-connector'), \Raptus\WC\BexioConnector\SUPPORT_URL); ?></p>
        <?php endif; ?>
    <?php else : ?>
            <p><?php printf(__('Your account has been blocked, please <a href="%s">contact us</a> to identify the problem or reset your data and try to start over again.', 'raptus-wc-bexio-connector'), \Raptus\WC\BexioConnector\SUPPORT_URL); ?></p>
            <p><?php _e('If you previously reset your data, reregistered and the registration has been verified and confirmed, press the Refresh button.', 'raptus-wc-bexio-connector') ?>
    <?php endif; ?>

    <?php if (!(isset($cause) && $cause == "end_of_life")) : ?>
    <p>
        <a class="button-primary" href="<?php echo $settings_url ?>&check_status=1">
            <span style="font-size: 15px;vertical-align: middle;" class="dashicons dashicons-image-rotate"></span>
            <?php esc_html_e('Refresh', 'raptus-wc-bexio-connector') ?>
        </a>
        <a class="button-primary button-destructive" href="<?php echo $settings_url ?>&reset=1">
            <?php esc_html_e('Reset Data', 'raptus-wc-bexio-connector') ?>
        </a>
    </p>
    <?php endif; ?>
