    <h2><?php esc_html_e('Manage your subscription', 'raptus-wc-bexio-connector') ?></h2>
    <?php include 'status.php'; ?>


    <section>
        <form method="post" action="<?php echo $settings_url ?>&manage-account=1">
            <div class="form-row">
                <p><?php printf(__('Having trouble with the configuration? Purchase the initial setup package to get help. Check <a href="%s" target="%s">here</a> for more information about this package.', 'raptus-wc-bexio-connector'), \Raptus\WC\BexioConnector\BEXIO_SHOP_URL . '/inbetriebnahme#Inbetriebnahmepaket', '_blank'); ?></p>
            </div>

            <div class="form-row">
                <label for="subscription"><?php _e('Select your new subscription', 'raptus-wc-bexio-connector'); ?> *</label><br/>
                <select id="subscription" name="subscription">
                <?php foreach ($subscription_types as $key => $label) : ?>
                    <?php $label .= $status['type'] == $key ? ' (' . __('current', 'raptus-wc-bexio-connector') . ')' : ''; ?>
                    <option value="<?php echo $key; ?>" <?php selected($key, $status['type']); ?>><?php echo $label; ?></option>
                <?php endforeach; ?>
                </select>
                <p class="description">
                    <?php printf(__('Learn more about the WooCommerce Bexio Automator subscriptions and their prices / differences <a href="%s" target="%s">here</a>. Leave your subscription unchanged if you only wish to write a comment.', 'raptus-wc-bexio-connector'), \Raptus\WC\BexioConnector\BEXIO_SHOP_URL . '/pricing', '_blank'); ?>
                </p>
            </div>

            <div class="form-row">
                <label for="comments"><?php _e('Any comments?', 'raptus-wc-bexio-connector'); ?></label><br/>
                <textarea class="widefat" cols="50" rows="5" id="comments" name="comments"></textarea>
                <p class="description"><?php printf(__('Please let us know if you have any comments or wishes.', 'raptus-wc-bexio-connector'), \Raptus\WC\BexioConnector\SUPPORT_URL); ?></p>
            </div>

            <div class="form-row">
                <a href="<?php echo $settings_url ?>" class="button button-secondary"><?php _e('Cancel', 'raptus-wc-bexio-connector') ?></a>
                <?php submit_button(__('Submit', 'raptus-wc-bexio-connector'), 'primary pull-right', 'upgrade-account-requested', false); ?>
            </div>
        </form>
    </section>

    <?php if ($status['status'] == 'cancelled') { ?>
    <section>
        <p><?php printf(_x('Your subscription was cancelled and will expire on %s.', 'Message in account management when the status equals cancelled', 'raptus-wc-bexio-connector'), @date_i18n(get_option('date_format'), @strtotime($status['expires']))); ?></p>
    </section>
    <?php } else if ($status['type'] != 'trial') { ?>
    <section>
        <form class="cancellation-form" method="post" action="<?php echo $settings_url ?>&manage-account=1&cancel-account=1&cancel-account-confirmed=1">
        <?php if (isset($_REQUEST['cancel-account'])) : ?>
            <div class="form-row">
                <label for="cancel-reason"><?php _ex('Reason for cancellation', 'Account cancellation reasons', 'raptus-wc-bexio-connector') ?></label><br/>
                <select id="cancel-reason" name="cancel-reason">
                    <option value=""  selected><?php _ex('-- Please choose a reason --', 'Account cancellation reasons', 'raptus-wc-bexio-connector') ?></option>
                    <?php foreach (\Raptus\WC\BexioConnector\Settings::instance()->get_cancellation_reasons() as $key => $value) { ?>
                    <option value="<?php echo $key ?>"><?php echo $value ?></option>
                    <?php } ?>
                </select>
                <?php if (isset($_REQUEST['missing-cancel-reason'])) { ?>
                <small class="missing-reason-notice"><?php _e('Please specify a reason for the cancellation.', 'Account cancellation reasons', 'raptus-wc-bexio-connector') ?></small>
                <?php } ?>
                <textarea class="widefat" rows="3" id="cancellation-comments" name="cancellation-comments" placeholder="<?php _ex('Please describe the reason in more detail ...', 'Account cancellation reasons', 'raptus-wc-bexio-connector') ?>"></textarea>
            </div>

            <div class="form-row">
                <p class="description">
                    <?php _e('Do really want to cancel your subscription?', 'raptus-wc-bexio-connector'); ?>
                </p>
                <?php submit_button(__('Yes, cancel subscription', 'raptus-wc-bexio-connector'), 'primary button-destructive', 'account-cancellation-requested', false); ?>
                <a href="<?php echo $settings_url ?>&manage-account=1" class="button button-secondary"><?php _e('No, continue subscription', 'raptus-wc-bexio-connector') ?></a>
            </div>
        <?php else: ?>
            <p class="description">
                <?php printf(__('<a href="%s">Cancel</a> my subscription.', 'raptus-wc-bexio-connector'), $settings_url . '&manage-account=1&cancel-account=1'); ?>
            </p>
        <?php endif; ?>
            <p class="description">
                <small>* <?php _e('Upgrades are possible at any time, downgrades and cancellations by the end of the billing period.', 'raptus-wc-bexio-connector'); ?></small>
            </p>
        </form>
    </section>
    <?php } ?>