<div class="template template-<?= preg_replace('/\.php$/', '', $template) ?><?= $authorized ? ' authorized' : '' ?> wizard">
    <div class="wrap">
        <h1><?php esc_html_e('WooCommerce Bexio Automator', 'raptus-wc-bexio-connector') ?></h1>
        <p class="subtitle"><?php esc_html_e('Guided setup for the initial installation', 'raptus-wc-bexio-connector') ?></p>

        <div class="wizard-progress">
        <?php foreach ($wizard->steps() as $i => $step) : ?>
            <div class="wizard-step<?= $i <= $wizard->currentStep() ? ' done' : ''; ?>"></div>
        <?php endforeach; ?>
        </div>

        <?php settings_errors($settings_page_id, false, false); ?>
        <?php foreach ($wizard->steps() as $i => $step) : ?>
            <?php settings_errors($settings_page_id . '_' . $step, false, false); ?>
        <?php endforeach; ?>

        <div class="bexio-dialog wizard-dialog wizard-step-<?= $wizard->currentStep(); ?>">
            <?php include $template; ?>
            <?php if ($wizard->hasPreviousStep() || $wizard->hasNextStep()) : ?>
            <div class="button-container">
            <?php if ($wizard->hasPreviousStep()) : ?>
                <div class="button-left">
                    <a class="button button-secondary" href="<?= add_query_arg('wizard', $wizard->previousStep()) ?>">
                        <?= $wizard->previousStepLabel(); ?>
                    </a>
                </div>
            <?php endif; ?>
            <?php if ($wizard->hasNextStep()) : ?>
            <div class="button-right">
                <input type="hidden" name="wizard" id="wizard" value="<?= $wizard->nextStep(); ?>" />
                <?php submit_button($wizard->nextStepLabel(), 'primary', 'submit', false); ?>
            </div>
            <?php endif; ?>
            </div>
            <?php endif; ?>
            <?php if (Raptus\WC\BexioConnector\Wizard::instance()->isStep('configuration')) { ?>
            <div class="wizard-configuration-warning" style="display: none;">
                <h4><?php _ex('Attention', 'Setup wizard configuration warning', 'raptus-wc-bexio-connector') ?></h4>
                <p><?php _ex('Invalid booking accounts or VAT can lead to synchronization errors. Have you checked the selected settings?', 'Setup wizard configuration warning', 'raptus-wc-bexio-connector') ?></p>
                <p><small><?php
                    echo sprintf(_x('If you are unsure how the booking accounts or VAT should be configured, check the FAQ for the <a href="%s">booking account configuration</a> or the <a href="%s">VAT configuration</a>.', 'Setup wizard configuration warning', 'raptus-wc-bexio-connector'),
                        'https://helpcenter.bexio-shop.ch/hc/de/articles/9604238567441',
                        'https://helpcenter.bexio-shop.ch/hc/de/articles/9604241843729')
                ?></small></p>
                <div class="buttons">
                    <?php submit_button(_x('Yes, next', 'Setup wizard configuration warning', 'raptus-wc-bexio-connector'), 'primary', 'submit', false); ?>
                    <button class="button button-secondary"><?php _ex('Cancel', 'Setup wizard configuration warning', 'raptus-wc-bexio-connector') ?></button>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
